#ifndef MAPMAKER_H
#define MAPMAKER_H
#include "Tracert.h"

class MapNode{
public:
	unsigned int route[MAX_HOPS+1];
	MapNode * next;
};


class MapMaker{
	MapNode * root;
public:
	int writeRoute(char * filename);
	bool isListed(unsigned int addr);
	int addRoute(unsigned int * route); // add routing table to the map
	MapMaker();
	virtual ~MapMaker();
};


#endif // MAPMAKER_H
