#ifndef TRACER_H
#define TRACER_H

#include "Tracert.h"
#include "MapMaker.h"


class TrackerNode{
public:
	TraceRoute tr;
	TrackerNode * next;
	TrackerNode(){ next = NULL; }
};


class Tracker{
	unsigned short traceID; 
	TrackerNode * head;
	bool isBeingTraced(unsigned int addr);
	TrackerNode * remove(TrackerNode * node);
public:
	void startTrace(unsigned int addr);
	void ping(MapMaker * map);
	void pong(char * packet);
	Tracker();
	virtual ~Tracker();
};


#endif // TRACER_H
