#ifndef SYNCLINKEDLIST_H
#define SYNCLINKEDLIST_H

#define MAX_BUFFERS_IN_QUEUE 512 // 64k each up to 32 megs, when reached drop buffers
#define LIST_GET_TIMEOUT 500 // ms


class ListNode{
public:
	char * buff;
	ListNode * next;
	ListNode(){ next = NULL; }
};


class SyncLinkedList{
	ListNode * head;
	HANDLE semaphore;
	CRITICAL_SECTION critsec;
public:
	char * get();
	void add(char * buff);
	SyncLinkedList();
	virtual ~SyncLinkedList();
};


#endif // SYNCLINKEDLIST_H
